## ros-iron-automotive-navigation-msgs 3.0.4

=== CMakeLists.txt ===
project(automotive_navigation_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "CommandWithHandshake.msg"
  "DesiredDestination.msg"
  "Direction.msg"
  "DistanceToDestination.msg"
  "LaneBoundary.msg"
  "LaneBoundaryArray.msg"
  "ModuleState.msg"
  "PointOfInterestArray.msg"
  "PointOfInterest.msg"
  "PointOfInterestRequest.msg"
  "PointOfInterestResponse.msg"
  "PointOfInterestStatus.msg"
  "RoadNetworkBoundaries.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
    geometry_msgs
  )

  ## Declare ROS messages and services
  add_message_files(DIRECTORY msg FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  add_service_files(DIRECTORY srv FILES
    GetImageForMapTile.srv
  )

  ## Generate added messages and services
  generate_messages(DEPENDENCIES std_msgs geometry_msgs)

  ## Declare a catkin package
  catkin_package(CATKIN_DEPENDS
    message_runtime
    std_msgs
    geometry_msgs
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES
      builtin_interfaces
      geometry_msgs
      std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-iron-automotive-navigation-msgs (3.0.4-5jammy) jammy; urgency=high

  * Change VelocityAccel comment from lateral to longitudinal, also remove trailing whitespace from all messages (#23 <https://github.com/astuff/automotive_autonomy_msgs/issues/23>)
  * Fix package.xml website URL (#19 <https://github.com/astuff/automotive_autonomy_msgs/issues/19>)
  * Contributors: Jacob Perron, icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 20 Oct 2020 16:00:00 -0000

ros-iron-automotive-navigation-msgs (3.0.3-5jammy) jammy; urgency=high

  * Add find_package for ros_environment.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Mon, 30 Dec 2019 16:00:00 -0000

ros-iron-automotive-navigation-msgs (3.0.2-5jammy) jammy; urgency=high

  * Adding missing dependency on ros_environment.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 18 Dec 2019 16:00:00 -0000

ros-iron-automotive-navigation-msgs (3.0.1-5jammy) jammy; urgency=high

  * Merge pull request #15 <https://github.com/astuff/automotive_autonomy_msgs/issues/15> from astuff/maint/ros1_ros2_hybrid
    ROS1/ROS2 Hybrid Packages
  * Adding migration rules.
  * Fixing XML linting errors.
  * Making all messages ROS2-compliant.
  * Hybridizing all packages.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 11 Dec 2019 16:00:00 -0000

ros-iron-automotive-navigation-msgs (2.0.3-5jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/astuff/automotive_autonomy_msgs/issues/13> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Joshua Whitley, Rinda Gunjala

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 06 Dec 2018 16:00:00 -0000

ros-iron-automotive-navigation-msgs (2.0.2-5jammy) jammy; urgency=high

  * Reorganized messages into renamed packages.
  * Changed package name from module_comm_msgs to automotive_navigation_msgs.
  * add RouteArray message to handle roads with more than one lane
  * Fixing license in package.xml.
  * Add ACC max distance in meters so that it can be displayed on shuttle GUI instead of just the 0 to 100% value on the existing highway autopilot GUI
  * Add more lane styles to lane boundary message to support double lines
  * Add lane boundary messages
  * Add new message for velocity and acceleration that includes a calculated covariance
  * Add Direction message from marti_localization_msgs
  * Add ROS service to request map images
  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Version bump and minor formatting clean-up.
  * Adding headers to some files that were missing them.
  * Moving VelocityAccel to module_comm_msgs.
  * Major package reorganization. See README for new package definitions.
  * Contributors: Daniel Stanek, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 07 Aug 2018 16:00:00 -0000

=== debian/control ===
Source: ros-iron-automotive-navigation-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-ros-environment, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://github.com/astuff/automotive_navigation_msgs
Standards-Version: 3.9.2

Package: ros-iron-automotive-navigation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Generic Messages for Navigation Objectives in Automotive Automation Software

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-automotive-navigation-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
